
From: James Chapman <jchapman@katalix.com>

Add ADT7461 (temperature sensor) support to LM90 driver.

Signed-off-by: James Chapman <jchapman@katalix.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/i2c/chips/lm90.c |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

diff -puN drivers/i2c/chips/lm90.c~i2c-chips-add-adt7461-support-to-lm90-driver drivers/i2c/chips/lm90.c
--- 25/drivers/i2c/chips/lm90.c~i2c-chips-add-adt7461-support-to-lm90-driver	Wed Mar  2 15:22:06 2005
+++ 25-akpm/drivers/i2c/chips/lm90.c	Wed Mar  2 15:22:06 2005
@@ -86,7 +86,7 @@ static unsigned int normal_isa[] = { I2C
  * Insmod parameters
  */
 
-SENSORS_INSMOD_5(lm90, adm1032, lm99, lm86, max6657);
+SENSORS_INSMOD_6(lm90, adm1032, lm99, lm86, max6657, adt7461);
 
 /*
  * The LM90 registers
@@ -381,7 +381,10 @@ static int lm90_detect(struct i2c_adapte
 			 && (reg_config1 & 0x3F) == 0x00
 			 && reg_convrate <= 0x0A) {
 				kind = adm1032;
-			}
+			} else
+			if (address == 0x4c
+			 && chip_id == 0x51) /* ADT7461 */
+				kind = adt7461;
 		} else
 		if (man_id == 0x4D) { /* Maxim */
 			/*
@@ -418,6 +421,8 @@ static int lm90_detect(struct i2c_adapte
 		name = "lm86";
 	} else if (kind == max6657) {
 		name = "max6657";
+	} else if (kind == adt7461) {
+		name = "adt7461";
 	}
 
 	/* We can fill in the remaining client fields */
_
